'Privacy is not something that We merely entitled to, it's an absolute prerequisite'
Strong advocate of privacy, anonymity and network neutrality since 2009.
UpdateS and news
WEBCARE360 BLOG: GET ALL LATEST NEWS, UPDATES AND PROMOTIONS
26
Sep / 14

Bash Vulnerability – Shell Shock

 
category: Updates & News

The team behind the Bash project (the most common shell used on Linux) recently issued a patch for a serious vulnerability that could allow for remote command execution on servers running the vulnerable bash versions. Wait, remote command execution on bash? You are likely asking yourself, “How can someone remotely execute commands on a local shell?” The issue starts with mod_cgi and how web servers interact with CGI programs (that could be written in Perl, PHP, Shell scripting or any other language). The web server passes (environment) user variables to them so they can do their work. In simple terms,...

  • share on facebook
  • share on twitter
  • share via email